Package Details: psi-plus-git 1.4.1026.r1151.g2170e90-1

Git Clone URL: https://aur.archlinux.org/psi-plus-git.git (read-only, click to copy)
Package Base: psi-plus-git
Description: Psi+ is a powerful XMPP client (Qt, C++) designed for the XMPP power users (built with Qt 5.x)
Upstream URL: https://psi-plus.com
Licenses: GPL2
Conflicts: psi-plus, psi-plus-qt5-git, psi-plus-webkit-git, psi-plus-webkit-qt5-git
Provides: psi-plus=1.4.1026.r1151.g2170e90, psi-plus-qt5-git=1.4.1026.r1151.g2170e90
Submitter: TZ86
Maintainer: sir_lucjan (el_aur)
Last Packager: sir_lucjan
Votes: 137
Popularity: 0.057233
First Submitted: 2013-08-06 17:06
Last Updated: 2020-02-25 15:47

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 ... Next › Last »

fordprefect commented on 2017-01-10 22:07

thank you for fixing this!

fordprefect commented on 2016-12-07 07:58

hey, weren't you promising to fix this package?

fordprefect commented on 2016-11-24 20:02

hey, sounds good. sorry for flagging, maybe you could unflag.

el_aur commented on 2016-11-24 16:37

Heya. I'm back and will fix package soon

chris_muc commented on 2016-11-07 09:33

issue with building:
libpsi/tools/zip/zip.cpp:128:82: error: cannot convert ‘UnZip::CaseSensitivity’ to ‘unzFileNameComparer {aka int (*)(void*, const char*, const char*)}’ for argument ‘3’ to ‘int unzLocateFile(unzFile, const char*, unzFileNameComparer)’
err = unzLocateFile(d->uf, QFile::encodeName(fname).data(), d->caseSensitive);
^
make[1]: *** [Makefile:4862: .obj/zip.o] Error 1
make[1]: Leaving directory '/tmp/yaourt-tmp-chris/aur-psi-plus-git/src/psi/src'
make: *** [Makefile:62: sub-src-make_default] Error 2
==> ERROR: A failure occurred in build().
Aborting...
==> ERROR: Makepkg was unable to build psi-plus-git.

any tips how to resolve it?

thanks,
Chris

fordprefect commented on 2016-10-23 19:35

i managed to build now. turn out the configure script only uses the qtdir-option if given, and that failed. commenting out fixed it.
if you have no explanation for your continued silence (even by mail) please reconsider whether to maintain this package or better leave this up to others. at least a notice about reproducibility would have been nice.

TZ86 commented on 2016-10-17 06:34

@gay
Just wait a bit until psi-plus developers updates their patches.

gay commented on 2016-10-16 20:52

Similar issue; build with makepkg fails while attempting to patch chatview_te

Pastebin: http://pastebin.com/YyQnHEFh

The rejects are:
for chatview_te.cpp: http://pastebin.com/vzSEV2Zs
for chatview_te.h: http://pastebin.com/sTH2UmQX

EDIT 2016-10-17:
@TZ86
Thanks, this is indeed what happened. The package builds cleanly again now.

TZ86 commented on 2016-10-14 18:42

@kamiljk87
It fails because it tries to apply patches to already patched sources. If that log isn't from two different command then yaourt copies sources, successfully applies all patches, updates pkgver and... starts everything from a beginning (starting from depends checks).

kamiljk87 commented on 2016-10-14 14:17

Yea done that too looks like it have a problem with patches apply, maybe exist ones/duplicate etc...